<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1

//we send the corresponding elements of two arrays to the subinstrument
//version in functional style

instr ArrayIntro

 ;two arrays of the same length
 iArray_A[] = fillarray(0.5, 0.4, 0.3, 0.2, 0.1)
 iArray_B[] = fillarray(100, 200, 300, 400, 500)
 
 ;index starts at zero
 index = 0
 
 ;for each element of the array ...
 while (index < lenarray(iArray_A)) do
 
  ;... get the elements with the same index ...
  iValue_A = iArray_A[index]
  iValue_B = iArray_B[index]
  
  ;... and send them as p3, p4 and p5
  schedule("CalledInstrument", 0, 1, iValue_A, iValue_B)
  
  ;increment index
  index += 1
  
 od

endin

instr CalledInstrument

 ;just print what you received as p4 and p5
 iReceivedValue_A = p4
 iReceivedValue_B = p5
 print(iReceivedValue_A, iReceivedValue_B)
 
endin


</CsInstruments>
<CsScore>
i "ArrayIntro" 0 1
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
